﻿#Import the module (assumes you've installed it to your Powershell Module directory)
Import-Module RestoreAutomation

#Run the function
#dir argument is the location you extracted the backup files to
#server argument is a SQL Server you're using to generate the commands
New-Restore -dir "C:\DBFiles\restoredemo\backups" -server "localhost\SQL2014"

#Want to relocate the database files?  Use the -newdata and -newlog arguments
New-Restore -dir "C:\DBFiles\restoredemo\backups" -server "localhost\SQL2014" -newdata "C:\DBFiles\restoredemo\restoredemo_copy" -newlog "C:\DBFiles\restoredemo\restoredemo_copy"

#Want the function to go ahead and execute?  Use the -Execute switch
New-Restore -dir "C:\DBFiles\restoredemo\backups" -server "localhost\SQL2014" -database "restoredemo_copy" -newdata "C:\DBFiles\restoredemo\restoredemo_copy" -newlog "C:\DBFiles\restoredemo\restoredemo_copy" -Execute